<?php


namespace App\Core\Service;


use App\Core\Repository\PermissionGroupUserMapping\PermissionGroupUserMappingRepository;

class PermissionGroupUserMappingService
{
    private $permissionGroupUserMappingRepository;

    public function __construct ( PermissionGroupUserMappingRepository $permissionGroupUserMappingRepository )
    {
        $this->permissionGroupUserMappingRepository = $permissionGroupUserMappingRepository;
    }

    public function findByCriteria ( array $params )
    {
       return $this->permissionGroupUserMappingRepository->findByCriteria($params);
    }

    public function updateOrCreate(array $criteria,array $saveData)
    {
        return $this->permissionGroupUserMappingRepository->updateOrCreate($criteria, $saveData);
    }

    public function delete($param)
    {
        return  $this->permissionGroupUserMappingRepository->delete($param);
    }

    public function create ( array $param )
    {
        return $this->permissionGroupUserMappingRepository->create($param);
    }

    public function createAll ( array $param )
    {
        return $this->permissionGroupUserMappingRepository->createAll ( $param );
    }

    public function update ( $id, $saveData )
    {
        return $this->permissionGroupUserMappingRepository->update($id,$saveData);

    }

}
